Subject: [pim] PIM WG meeting minutes

From: Liming Wei <[email-masked]>
Date: Thu, 21 Nov 2002 14:19:44 -0800 (PST)

Thanks to Marshall Eubanks for taking the following notes in the
Atlanta meeting.

-Liming
- ---------------

Salon II RTG	pim	Protocol Independent Multicast WG *

PIM-DM - 
No one had reviewed the draft !!!
Review by the group is badly needed !!!!

Discussion about whether this should be experimental, informational or
standards track.
Seemed to be no consensus.

Radia Pearlman
PIM Host extensions
the end nodes do PIM
intended to work for SSM

SSM now requires IGMPv3 support in the Host and the First Hop router.

PIM-HE - creates a unicast PIM Host Join message -
destination of this packet is S Uses the IP router alert option on the
IP header so that compliant routers can trap and process. If the
router that receives this message is not first hop then the router
Creates a tunnel fo the receiver

Process/demon is downloadable

Host-leave prune message needed as well

If first hop router receives, then just join the group. If not, then
Have to worry about DOS attacks, so need to limit numbers of tunnels

Need to authenticate 

Q. How is this different from Ross Finlayson's automatic UDP encoding ?
A. Conceptually not very different - just one is UDP based and this one uses
PIM.

Q. What if the tunnel connects two PIM domains ?
Dino F. - the difference is that the host just accepts multicast data  when it
comes
while a router does RPF checks. 

Mark Handley - I think that tunnels  between PIM clouds could create all sorts
of problems and you might want to avoid this.

A. Solving the first mile problem is what we were focusing on here.

Mark Handley. I am worried about implosion problems. What if this gets really
popular.
A. This allows some people to join, whereas before they couldn't get traffic at
all.

Q. Dino F. - why make joins periodic ?
A. (to make them soft state)

Q. Liming W
Packets with Router alert may be blocked for, e.g., Cisco routers.
A.  I believe that this is not the case for all Cisco routers. 

A. Dino F.
If the a packet of a given protocol comes with a router alert, three things
could happen
- - if the protocol is unknown, forward
- - if the protocol is PIM, gets sent to the PIM module, which will drop it.
- - to do the right thing would require a new implementation, and old
implementations would not do the right thing.

Q. Mark Handley Once the script kiddies discover router alerts, then everyone
will
stop forwarding them.

Bill Fenner - A useful thing would be to send 
packets with router alerts across real networks and see what happens,

Dino F. IGMPv2 and RSVP are the most common users of router alerts.

Beau Williamson - In my opinion, most of these tunneling ideas are something we
can do technically, the real problems are getting it done from a business
standpoint.

Tom P. Should this be a part of the working group charter ? Or MboneD
<Consensus seemed to be no, it should be in MBoneD>

Mark Handley
The PIM-SM spec has timed out. The spec is in good shape though.
IP Sec AH has been added. This is exactly what was done for IGMPv3 spec,
and the IESG passed that.

Dave Thaler - I was just at the SEND WG and they have the exact same problem.

Mark Handley - The other spec is the BSR spec.
Tom P. Does the PIM spec depend on the BSR spec ?
Mark Handley - It is not totally clear if it does. Certainly 

That leaves the BiDir Spec
Isadore K. The BiDir spec is coming. It can maybe submitted at the same time
Tom. P. So we need to do one more rev of that ?
Isadore K. - And also of the PIM spec.
------- End of forwarded message -------
_______________________________________________
pim mailing list
[email-masked]
http://catarina.usc.edu/mailman/listinfo/pim